package cn.com.countrygarden.bi.main.dto.advise;

import java.util.Objects;

public class AfAdviseTypeVO {
	
	  private Integer id;
	  private String code;
	  private String name;
	  private String descs;
	  private Integer soft;
	/**
	 * 此建言类型被使用的总次
	 * 当大于0时建言类型不能被编辑
	 */
	private  Integer adviseTypeCount;

	/**
	 * 是否展示所有数据，包括enable=0或enable=1
	 * （true:全部展示，false/null:只展示enable=1的数据）
	 */
	private Boolean flag;
	/**
	 * 是否禁用(0:禁用，1：否)
	 */
	private Integer enable;
	/**
	 * 分支关联
	 */
	private  String branchTypeCode;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescs() {
		return descs;
	}
	public void setDescs(String descs) {
		this.descs = descs;
	}
	public Integer getSoft() {
		return soft;
	}
	public void setSoft(Integer soft) {
		this.soft = soft;
	}

	public Boolean getFlag() {
		return flag;
	}

	public void setFlag(Boolean flag) {
		this.flag = flag;
	}

	public Integer getEnable() {
		return enable;
	}

	public void setEnable(Integer enable) {
		this.enable = enable;
	}

	public Integer getAdviseTypeCount() {
		return adviseTypeCount;
	}

	public void setAdviseTypeCount(Integer adviseTypeCount) {
		this.adviseTypeCount = adviseTypeCount;
	}

	public String getBranchTypeCode() {
		return branchTypeCode;
	}

	public void setBranchTypeCode(String branchTypeCode) {
		this.branchTypeCode = branchTypeCode;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		AfAdviseTypeVO that = (AfAdviseTypeVO) o;
		return Objects.equals(id, that.id) &&
				Objects.equals(code, that.code) &&
				Objects.equals(name, that.name) &&
				Objects.equals(descs, that.descs) &&
				Objects.equals(soft, that.soft) &&
				Objects.equals(adviseTypeCount, that.adviseTypeCount) &&
				Objects.equals(flag, that.flag) &&
				Objects.equals(enable, that.enable) &&
				Objects.equals(branchTypeCode, that.branchTypeCode);
	}

	@Override
	public int hashCode() {
		return Objects.hash(id, code, name, descs, soft, adviseTypeCount, flag, enable, branchTypeCode);
	}
}
